//引入封装方法
import http from "@/request";

//用户登录
export const UserSign = (data: any) => http.postJ<any>(`auth/app/user/account/signIn`, data);
//用户退出登录
export const UserSignOut = (data: any) => http.get<any>(`auth/app/user/account/signOut`, data);
//获取账号用户信息
export const GetUserInfo = (data: any) => http.get<any>(`auth/app/user/account/detail`, data);
//修改账号信息
export const UpdateUserInfo = (data: any) => http.postJ<any>(`auth/app/user/account/update`, data);
//账号注销
export const CloseAccount = (data: any) => http.postJ<any>(`auth/app/user/account/logOff`, data);
//根据（角色类型）获取用户菜单权限数据信息
export const UserMenuPermissions = (data: any) => http.postJ<any>(`auth/user/menu/permissions`, data);
