// 入库计划单搜索条件
export interface IGodownPlanListSearchParams {
  endCreateTime: string;
  pageNum: number;
  startCreateTime: string;
  status: string;
  warehouseId: string;
  warehousingPlanCode: string;
  [x: string]: any;
}
// 入库计划单查询列表
export interface IGodownPlanListDataSource {
  planTotalNumberPieces: number;
  planTotalWeight: any;
  planTotalCapacity: number;
  id: string | number;
  createTime: string;
  cargoOwnerCode: string;
  cargoOwnerName: string;
  [x: string]: any;
}
//入库计划单详情
export interface IGodownPlanDetailDataSource {
  planCode: string;
  planTime: string;
  typeName: string;
  sourceCode: string;
  carCode: string;
  driver: string;
  driverTel: string;
  carArrivalTime: string;
  carCompleteTime: string;
  platformName: string;
  platformDockTime: string;
  [x: string]: any;
}
