// 出库计划单搜索条件
export interface IOutBoundPlanListSearchParams {
  endPlanTime: string;
  pageNum: number;
  startPlanTime: string;
  status: string;
  warehouseId: string;
  planCode: string;
  [x: string]: any;
}
// 出库计划单查询列表
export interface IOutBoundPlanListDataSource {
  totalPlanNumberPieces: number;
  totalPlanQuantity: number;
  totalPlanWeight: any;
  linkId: string | number;
  createTime: string;
  createUserName: string;
  [x: string]: any;
}
//出库计划单详情
export interface IOutBoundPlanDetailDataSource {
  planCode: string;
  planTime: string;
  typeName: string;
  sourceCode: string;
  carCode: string;
  driver: string;
  driverTel: string;
  receiverName: string;
  receiverCompany: string;
  receiverPostalCode: string;
  receiverPhone: string;
  receiverDetailAddress: string;
  [x: string]: any;
}
