// 自动化注册接口并导出
// main.js 挂载到全局
// this.$api调用
const files = require.context('./module', true, /\.js$/)
const models = {}
files.keys().forEach(key => {
  const filename = key.replace(/(\.\/|\.js)/g, '')
  models[filename] = files(key)
  if (files(key)) {
    try {
      for (const name in files(key)) {
        models[name] = files(key)[name]
      }
    } catch {
      throw new Error(`${filename}模块导出失败~`)
    }
  }
})

export default models
